Debian Bug report logs - #667118
blockattack: ftbfs with GCC-4.7

version graph

Package: blockattack; Maintainer for blockattack is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for blockattack is src:blockattack.

Reported by: Matthias Klose <doko@debian.org>

Date: Tue, 3 Apr 2012 23:10:37 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version blockattack/1.4.1+ds1-2

Fixed in version blockattack/1.4.1+ds1-2.1

Done: Jonathan Wiltshire <jmw@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#667118; Package blockattack. (Tue, 03 Apr 2012 23:10:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Tue, 03 Apr 2012 23:10:40 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: blockattack: ftbfs with GCC-4.7
Date: Tue, 03 Apr 2012 23:08:01 +0000
Package: blockattack
Version: 1.4.1+ds1-2
Severity: important
Tags: sid wheezy
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.7

The package fails to build in a test rebuild on at least amd64 with
gcc-4.7/g++-4.7, but succeeds to build with gcc-4.6/g++-4.6. The
severity of this report may be raised before the wheezy release.

source/code/physfs_stream.hpp:280:17: error: 'setp' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]

The full build log can be found at:
http://people.debian.org/~lucas/logs/2012/03/29-clang-gcc47/unstable-gcc47/blockattack_1.4.1+ds1-2_unstable-gcc47.log
The last lines of the build log are at the end of this report.

Some hints on fixing these issues can be found at
http://gcc.gnu.org/gcc-4.7/porting_to.html

To build with GCC 4.7, either set CC=gcc-4.7 CXX=g++-4.7 explicitly,
or install the gcc, g++, gfortran, ... packages from experimental.

[...]
g++ -o source/code/ReadKeyboard.o -c -D_GNU_SOURCE=1 -D_REENTRANT -DSHAREDIR=\"/usr/share/games/blockattack\" -I/usr/include/SDL source/code/ReadKeyboard.cpp
gcc -o source/code/SFont.o -c -D_GNU_SOURCE=1 -D_REENTRANT -DSHAREDIR=\"/usr/share/games/blockattack\" -I/usr/include/SDL source/code/SFont.c
g++ -o source/code/main.o -c -D_GNU_SOURCE=1 -D_REENTRANT -DSHAREDIR=\"/usr/share/games/blockattack\" -I/usr/include/SDL source/code/main.cpp
In file included from source/code/main.cpp:70:0:
source/code/physfs_stream.hpp: In instantiation of 'PhysFS::physfs_filebuf<_CharT, _Traits>::int_type PhysFS::physfs_filebuf<_CharT, _Traits>::overflow(PhysFS::physfs_filebuf<_CharT, _Traits>::int_type) [with _CharT = char; _Traits = std::char_traits<char>; PhysFS::physfs_filebuf<_CharT, _Traits>::int_type = int]':
source/code/physfs_stream.hpp:289:51:   required from 'int PhysFS::physfs_filebuf<_CharT, _Traits>::sync() [with _CharT = char; _Traits = std::char_traits<char>]'
source/code/physfs_stream.hpp:167:17:   required from 'PhysFS::physfs_filebuf<_CharT, _Traits>::__filebuf_type* PhysFS::physfs_filebuf<_CharT, _Traits>::close() [with _CharT = char; _Traits = std::char_traits<char>; PhysFS::physfs_filebuf<_CharT, _Traits>::__filebuf_type = PhysFS::physfs_filebuf<char>]'
source/code/physfs_stream.hpp:103:17:   required from 'PhysFS::physfs_filebuf<_CharT, _Traits>::~physfs_filebuf() [with _CharT = char; _Traits = std::char_traits<char>]'
source/code/physfs_stream.hpp:332:36:   required from 'PhysFS::physfs_ifstream<_CharT, _Traits>::physfs_ifstream(const char*, std::ios_base::openmode) [with _CharT = char; _Traits = std::char_traits<char>; std::ios_base::openmode = std::_Ios_Openmode]'
source/code/main.cpp:741:60:   required from here
source/code/physfs_stream.hpp:280:17: error: 'setp' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
source/code/physfs_stream.hpp:280:17: note: declarations in dependent base 'std::basic_streambuf<char>' are not found by unqualified lookup
source/code/physfs_stream.hpp:280:17: note: use 'this->setp' instead
In file included from source/code/main.cpp:70:0:
source/code/physfs_stream.hpp: In instantiation of 'PhysFS::physfs_filebuf<_CharT, _Traits>::pos_type PhysFS::physfs_filebuf<_CharT, _Traits>::seekpos(PhysFS::physfs_filebuf<_CharT, _Traits>::pos_type, std::ios_base::openmode) [with _CharT = char; _Traits = std::char_traits<char>; PhysFS::physfs_filebuf<_CharT, _Traits>::pos_type = std::fpos<__mbstate_t>; std::ios_base::openmode = std::_Ios_Openmode]':
source/code/main.cpp:4863:1:   required from here
source/code/physfs_stream.hpp:215:17: error: 'setg' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
source/code/physfs_stream.hpp:215:17: note: declarations in dependent base 'std::basic_streambuf<char>' are not found by unqualified lookup
source/code/physfs_stream.hpp:215:17: note: use 'this->setg' instead
source/code/physfs_stream.hpp: In instantiation of 'PhysFS::physfs_filebuf<_CharT, _Traits>::int_type PhysFS::physfs_filebuf<_CharT, _Traits>::underflow() [with _CharT = char; _Traits = std::char_traits<char>; PhysFS::physfs_filebuf<_CharT, _Traits>::int_type = int]':
source/code/main.cpp:4863:1:   required from here
source/code/physfs_stream.hpp:199:17: error: 'setg' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
source/code/physfs_stream.hpp:199:17: note: declarations in dependent base 'std::basic_streambuf<char>' are not found by unqualified lookup
source/code/physfs_stream.hpp:199:17: note: use 'this->setg' instead
scons: *** [source/code/main.o] Error 1
scons: building terminated because of errors.
make[1]: *** [override_dh_auto_build] Error 2
make[1]: Leaving directory `/«BUILDDIR»/blockattack-1.4.1+ds1'
make: *** [build-arch] Error 2
dpkg-buildpackage: error: debian/rules build-arch gave error exit status 2




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#667118; Package blockattack. (Wed, 04 Apr 2012 22:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 04 Apr 2012 22:51:10 GMT) Full text and rfc822 format available.

Message #10 received at 667118@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 667118@bugs.debian.org
Subject: Re: Bug#667118: blockattack: ftbfs with GCC-4.7
Date: Thu, 5 Apr 2012 00:45:18 +0200
[Message part 1 (text/plain, inline)]
tag 667118 patch
thanks

Matthias Klose <doko@debian.org> (03/04/2012):
> Package: blockattack
> Version: 1.4.1+ds1-2
> Severity: important
> Tags: sid wheezy
> User: debian-gcc@lists.debian.org
> Usertags: ftbfs-gcc-4.7

Here's a patch to fix this FTBFS. No intent to NMU.

Mraw,
KiBi.
[blockattack+nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Wed, 04 Apr 2012 22:51:11 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 07 May 2012 16:51:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#667118; Package blockattack. (Sun, 13 May 2012 14:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sun, 13 May 2012 14:30:03 GMT) Full text and rfc822 format available.

Message #19 received at 667118@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: 667118@bugs.debian.org
Subject: blockattack: diff for NMU version 1.4.1+ds1-2.1
Date: Sun, 13 May 2012 15:26:59 +0100
tags 667118 + pending
thanks

Dear maintainer,

I've prepared an NMU for blockattack (versioned as 1.4.1+ds1-2.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

diff -Nru blockattack-1.4.1+ds1/debian/changelog blockattack-1.4.1+ds1/debian/changelog
--- blockattack-1.4.1+ds1/debian/changelog	2011-03-12 18:04:29.000000000 +0000
+++ blockattack-1.4.1+ds1/debian/changelog	2012-05-13 15:19:14.000000000 +0100
@@ -1,3 +1,12 @@
+blockattack (1.4.1+ds1-2.1) unstable; urgency=low
+
+  [ Cyril Brulebois ]
+  * Non-maintainer upload.
+  * Fix FTBFS with gcc 4.7 by adding “this->” when appropriate
+    (Closes: #667118).
+
+ -- Jonathan Wiltshire <jmw@debian.org>  Sun, 13 May 2012 15:19:11 +0100
+
 blockattack (1.4.1+ds1-2) unstable; urgency=low
 
   * Team upload.
diff -Nru blockattack-1.4.1+ds1/debian/patches/gcc47.diff blockattack-1.4.1+ds1/debian/patches/gcc47.diff
--- blockattack-1.4.1+ds1/debian/patches/gcc47.diff	1970-01-01 01:00:00.000000000 +0100
+++ blockattack-1.4.1+ds1/debian/patches/gcc47.diff	2012-05-13 15:19:00.000000000 +0100
@@ -0,0 +1,29 @@
+--- a/source/code/physfs_stream.hpp
++++ b/source/code/physfs_stream.hpp
+@@ -196,7 +196,7 @@ namespace PhysFS
+                 }
+ 
+                 char_type* xend = (static_cast<size_t> (objectsRead) == BUF_SIZE) ? &*_buf.end() : &_buf[objectsRead];
+-                setg(&*_buf.begin(), &*_buf.begin(), xend);
++                this->setg(&*_buf.begin(), &*_buf.begin(), xend);
+ 
+                 return traits_type::to_int_type(_buf.front());
+             }
+@@ -212,7 +212,7 @@ namespace PhysFS
+                 }
+ 
+                 // the seek invalidated the buffer
+-                setg(&*_buf.begin(), &*_buf.begin(), &*_buf.begin());
++                this->setg(&*_buf.begin(), &*_buf.begin(), &*_buf.begin());
+                 return pos;
+             }
+ 
+@@ -277,7 +277,7 @@ namespace PhysFS
+                 }
+ 
+                 char_type* xend = (static_cast<size_t> (res) == BUF_SIZE) ? &*_buf.end() : &_buf[res];
+-                setp(&*_buf.begin(), xend);
++                this->setp(&*_buf.begin(), xend);
+                 return 0;
+             }
+ 
diff -Nru blockattack-1.4.1+ds1/debian/patches/series blockattack-1.4.1+ds1/debian/patches/series
--- blockattack-1.4.1+ds1/debian/patches/series	2011-03-12 18:00:28.000000000 +0000
+++ blockattack-1.4.1+ds1/debian/patches/series	2012-05-13 15:19:00.000000000 +0100
@@ -2,3 +2,4 @@
 fix-scons-paths.patch
 fix-spelling-errors.patch
 enet-1.3.1.patch
+gcc47.diff




Added tag(s) pending. Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Sun, 13 May 2012 14:30:04 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Wiltshire <jmw@debian.org>:
You have taken responsibility. (Tue, 15 May 2012 15:09:32 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Tue, 15 May 2012 15:09:32 GMT) Full text and rfc822 format available.

Message #26 received at 667118-close@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: 667118-close@bugs.debian.org
Subject: Bug#667118: fixed in blockattack 1.4.1+ds1-2.1
Date: Tue, 15 May 2012 15:04:20 +0000
Source: blockattack
Source-Version: 1.4.1+ds1-2.1

We believe that the bug you reported is fixed in the latest version of
blockattack, which is due to be installed in the Debian FTP archive:

blockattack_1.4.1+ds1-2.1.debian.tar.gz
  to main/b/blockattack/blockattack_1.4.1+ds1-2.1.debian.tar.gz
blockattack_1.4.1+ds1-2.1.dsc
  to main/b/blockattack/blockattack_1.4.1+ds1-2.1.dsc
blockattack_1.4.1+ds1-2.1_amd64.deb
  to main/b/blockattack/blockattack_1.4.1+ds1-2.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 667118@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonathan Wiltshire <jmw@debian.org> (supplier of updated blockattack package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 13 May 2012 15:19:11 +0100
Source: blockattack
Binary: blockattack
Architecture: source amd64
Version: 1.4.1+ds1-2.1
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Jonathan Wiltshire <jmw@debian.org>
Description: 
 blockattack - puzzle game inspired by Tetris
Closes: 667118
Changes: 
 blockattack (1.4.1+ds1-2.1) unstable; urgency=low
 .
   [ Cyril Brulebois ]
   * Non-maintainer upload.
   * Fix FTBFS with gcc 4.7 by adding “this->” when appropriate
     (Closes: #667118).
Checksums-Sha1: 
 9be8d9af641c45e96e0419be19aa255e2c95a5df 2193 blockattack_1.4.1+ds1-2.1.dsc
 0105a5744d56f3e3b8bfb6d49b972b5d52518f14 10993 blockattack_1.4.1+ds1-2.1.debian.tar.gz
 84d462385b1645bf9fbdc5c966c15ae89f678794 5627532 blockattack_1.4.1+ds1-2.1_amd64.deb
Checksums-Sha256: 
 81e741bfc681ece654a6fcdd8d9d9dfaea012063d18e5d9f55b04902322206ba 2193 blockattack_1.4.1+ds1-2.1.dsc
 b8e33f4e9d89810d820354152175cb6ada2da75ee730a1f0578e6e9e5f38c50e 10993 blockattack_1.4.1+ds1-2.1.debian.tar.gz
 0b546e267ed27d01c895bc00a8b9f1bbb1384eb2280dcb1c6429e54d734876fd 5627532 blockattack_1.4.1+ds1-2.1_amd64.deb
Files: 
 47e20af77cef4dad107a3f3b2eb94027 2193 games optional blockattack_1.4.1+ds1-2.1.dsc
 3a6290848582f96379c1ae025e72351d 10993 games optional blockattack_1.4.1+ds1-2.1.debian.tar.gz
 1cd94f8a4d6b23058730358ac1467447 5627532 games optional blockattack_1.4.1+ds1-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJPr8RBAAoJEFOUR53TUkxRTwIP/29fXM03tYGUXVXmXp0NtsL1
KqN3HGLXNLFbCLP4aLSPl7aD61V2ru5LeG9VLptsWdGNy+E2Q1E1kesw6dqOvIhT
6+zpu1miccFSXHgVhy45HcldMd4ewowENt6Nogk6Dt064D3D9SM6Cx0lxx6HVQz8
kI5FzX/poAlfPOTs85BvA9r7fgjdSSGzV7PkPcjpX2uHLSt/niR5u9qCsA++YNlI
+sOj+gzlSuKpzrNOABODryvTDiljrCleApQndClgpKeAbp9WTlA4bUvR1D2nsbUf
BFcCopbJDqS+RrUKQSj63oXJ1AJvr2XLLUA/crrel/aj/ZAT7v9wgwGK6VguRoyR
aUOyAHX+D1V/uh8JyT20Qp3HtbEhiiDqNhBK/BpzYvF2UQA3KojwmhEOD3CWKKEf
SJOus/RSC2nLPCNuK2XFpyAR+ixyq9g3gC6K8EohpqZAiQX22tlQiHAqlqjtm8rk
JJ7bVFWLu5OgntxXscR8KJY7MApz+RyqRqo+ecbC34gwfzQ2KtIP2ZPyi5D/xHTg
j9Eh7+lRMVRzc+k3L22a9ld7TnTRko5CGt4Q3bl+Ah1TOt4RQVcfzf7Yyss8ja6P
h7YZC0leK8QIZ8SuFax74qDKy3oJl1U/8YQOyNX9fJAD6Qk+GIOG6jufSWbTEpKh
FKEE37HuGclymlUcphsF
=oVMB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 23 Jun 2012 07:37:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 03:54:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.